> ## Documentation Index
> Fetch the complete documentation index at: https://viewerdocs.planpoint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Leads

> Fetch leads



## OpenAPI

````yaml GET /leads
openapi: 3.0.3
info:
  title: Planpoint
  description: ''
  version: 1.0.0
servers:
  - url: https://app.planpoint.io/api
security:
  - AccessTokenAuth: []
tags:
  - name: user
    description: Everything about user
  - name: groups
    description: Everything about groups
  - name: projects
    description: Everything about projects
  - name: floors
    description: Everything about floors
  - name: units
    description: Everything about units
  - name: leads
    description: Everything about leads
externalDocs:
  description: Find out more about Planpoint
  url: http://planpoint.io
paths:
  /leads:
    get:
      tags:
        - leads
      summary: Search for leads in a project
      description: Fetch leads
      operationId: fetchLeads
      parameters:
        - name: pid
          in: query
          description: Use a project ID to search for leads
          schema:
            type: string
            example: objectId
      responses:
        '200':
          description: Array of leads found
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    firstName:
                      type: string
                      description: First name of the lead
                    lastName:
                      type: string
                      description: Last name of the lead
                    email:
                      type: string
                      format: email
                      description: Email address of the lead
                    phone:
                      type: string
                      description: Phone number of the lead
                    unit:
                      type: string
                      description: Unit associated with the lead
                    message:
                      type: string
                      description: Message provided by the lead
                    source:
                      type: string
                      description: Source of the lead
                    createdAt:
                      type: string
                      format: date-time
                      description: Timestamp when the lead was created
                    questions:
                      type: array
                      items:
                        type: object
                        properties:
                          question:
                            type: string
                            description: Question asked by the lead
                          answer:
                            type: string
                            description: Answer provided to the question
                      description: List of questions and their corresponding answers
                    customFields:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: Key for the custom field
                          value:
                            type: string
                            description: Value for the custom field
                      description: List of custom fields and their values
            application/xml:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    firstName:
                      type: string
                      description: First name of the lead
                    lastName:
                      type: string
                      description: Last name of the lead
                    email:
                      type: string
                      format: email
                      description: Email address of the lead
                    phone:
                      type: string
                      description: Phone number of the lead
                    unit:
                      type: string
                      description: Unit associated with the lead
                    message:
                      type: string
                      description: Message provided by the lead
                    source:
                      type: string
                      description: Source of the lead
                    createdAt:
                      type: string
                      format: date-time
                      description: Timestamp when the lead was created
                    questions:
                      type: array
                      items:
                        type: object
                        properties:
                          question:
                            type: string
                            description: Question asked by the lead
                          answer:
                            type: string
                            description: Answer provided to the question
                      description: List of questions and their corresponding answers
                    customFields:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: Key for the custom field
                          value:
                            type: string
                            description: Value for the custom field
                      description: List of custom fields and their values
        '400':
          description: Invalid input
components:
  securitySchemes:
    AccessTokenAuth:
      type: apiKey
      in: header
      name: Authorization

````